function fmt$(sr,ct,cn)
' Convert sr to a fixed-point format string with length ct and cn decimal
' places after the point.
 sg=sgn(sr)
 tmp=abs(sr)
 tmp=int(10^cn*tmp+0.5) 	
 sr$=rtrim$(ltrim$(str$(tmp)))
 if(len(sr$)<cn-(cn>0)) then sr$=string$(cn-len(sr$)-(cn>0),"0")+sr$
 if sg<0 then sr$="-"+sr$
 if cn then sr$=left$(sr$,len(sr$)-cn)+"."+right$(sr$,cn)
 if len(sr$)>ct then 
   sr$=string$(ct,"*") 
 else 
   sr$=string$(ct-len(sr$)," ")+sr$
 end if
 fmt$=sr$
end function

pi=4*atn(1)
for i=1 to 9
 print fmt$(pi,11,i)
next

for i=1 to 8
 print fmt$(log(i)/log(10),10,8)
next

for i=-3 to 10
 print fmt$(i^3,3,0)
next

print val(fmt$(pi,5,2)+"44")

